# Disabled as  some modules are not in fedora
%global enable_tests 0

%global module_name event-stream

Name:           nodejs-%{module_name}
Version:        3.1.7
Release:        1%{?dist}
Summary:        Construct pipes of streams of events

License:        MIT
URL:            https://github.com/dominictarr/event-stream
Source0:        https://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(it-is)
BuildRequires:  npm(asynct)
BuildRequires:  npm(stream-spec)
%endif

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules

%nodejs_fixdep map-stream ~0.x
%nodejs_fixdep split ~0.x
%nodejs_fixdep stream-combiner ~0.x

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}

%nodejs_symlink_deps
%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
set -e; for t in test/*.js; do node $t; done
%endif

%files
%doc readme.markdown LICENCE examples
%{nodejs_sitelib}/%{module_name}

%changelog
* Sun Dec 07 2014 Parag Nemade <pnemade AT redhat DOT com> - 3.1.7-1
- Initial packaging

